Subject: [bug#32947] Add java-xalan.

From: Frank Pursel <[email-masked]>
Date: Mon, 11 Apr 2022 16:36:04 +0000

Maxime,

I looked at the org.apache.xml/uitls/IntStack.java file you pointed out.  I
think the header license certainly prevails here for several reasons.
First it is subpackage of the org.apache tree for which the source license
is clearly stated.  Second, looking at the code (without being a java guru;
the code is that simple) we can see that there is no dependency on any
JDK.  The statement '@since JDK1.0' appears to be true in the sense that
any JDK can compile this since 1.0.  We demonstrate that it builds with
JDK8 whenever we run this package through guix build and so, I see no
licensing concerns over the '@since JDK1.0' annotation.

Regards,
Frank